summaryrefslogtreecommitdiff
path: root/nonsystemd/nfs-utils-openrc/rpc.gssd.initd
diff options
context:
space:
mode:
Diffstat (limited to 'nonsystemd/nfs-utils-openrc/rpc.gssd.initd')
-rw-r--r--nonsystemd/nfs-utils-openrc/rpc.gssd.initd23
1 files changed, 23 insertions, 0 deletions
diff --git a/nonsystemd/nfs-utils-openrc/rpc.gssd.initd b/nonsystemd/nfs-utils-openrc/rpc.gssd.initd
new file mode 100644
index 000000000..7a517d57e
--- /dev/null
+++ b/nonsystemd/nfs-utils-openrc/rpc.gssd.initd
@@ -0,0 +1,23 @@
+#!/usr/bin/openrc-run
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+[ -e /etc/conf.d/nfs ] && . /etc/conf.d/nfs
+
+depend() {
+ use ypbind net
+ need portmap rpc.pipefs
+ after quota
+}
+
+start() {
+ ebegin "Starting gssd"
+ start-stop-daemon --start --exec /usr/bin/rpc.gssd -- ${OPTS_RPC_GSSD}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping gssd"
+ start-stop-daemon --stop --exec /usr/bin/rpc.gssd
+ eend $?
+}